
Redmine - Defect #5852

Redmine attachments corrupted 

2010-07-09 11:49 - Denis Mekshun

Status: Closed Start date: 2010-07-09

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: Attachments Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

When ppl attache files i receive corrupted files or strange messages, for example 

https://xxxxxxxx.com/redmine/attachments/49/2010-05-04_15_44_23.png or something like that see attache.

History

#1 - 2010-07-09 12:03 - Felix Schäfer

Can you confirm the files are stored correctly on the server? Have a look at the files in redmine-dir/files/ and see if the file gets correctly to the server

or not.

#2 - 2010-07-09 12:29 - Denis Mekshun

They are corrupted too :(

#3 - 2010-07-09 13:45 - Felix Schäfer

See in your settings if the value is maybe too low. Please also provide more information about your setup (what rails server, what ruby, rails, db,

redmine versions, what db, and so on).

#4 - 2010-07-12 08:13 - Denis Mekshun

The settings are ok. I am using mysql-server-5.1, redmine-0.9.3-1, ubuntu 10.04, apache2.2.14, fcgid1:2.3.4-2 rails2.2.3-2

#5 - 2010-07-12 08:16 - Denis Mekshun

And maybe it's important i am using https protocol

#6 - 2010-07-12 09:02 - Felix Schäfer

Well, the only 2 things that come to mind are that MySQL 5.1 isn't officially supported by the mysql gem, so I can't say for sure that isn't the problem,

but I think you should also have a look at your apache config to see there is a time limit on running cgi processes or something akin to that. IIRC the

file uploads are handed off to apache and gathered afterwards by rails/redmine, so please have a look there.

#7 - 2010-07-19 09:02 - Denis Mekshun

- % Done changed from 0 to 100

The problems was in libapache2-mod-fcgid. There is a link how-to solve this issue 

http://www.socinfo.com/ubuntu/php/fcgid/bug-fix-corrupt-files-upload or update to new version. Felix, thanks a lot.

#8 - 2010-07-19 09:12 - Felix Schäfer

- Status changed from New to Closed

- Resolution set to Invalid

Glad you found a solution :-)
